package com.lantone.dblayermbg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.dblayermbg.entity.MenuInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 菜单功能表 Mapper 接口
 * </p>
 */
public interface MenuInfoMapper extends BaseMapper<MenuInfo> {

    /**
     * @Author songxl
     * @Description 通过用户id获取用户所有菜单id
     * @Date 2021/7/20
     * @Param [userId]
     * @Return java.util.List<java.lang.Long>
     * @MethodName queryAllMenuIdByUserId
     */
    List<Long> queryAllMenuIdByUserId(@Param("userID") Long userID, @Param("organizeID")String organizeId);
}

