package com.lantone.dblayermbg.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lantone.dblayermbg.entity.Organize;
import com.lantone.dblayermbg.entity.Role;
import com.lantone.dblayermbg.entity.User;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 系统用户表 Mapper 接口
 * </p>
 */
public interface UserMapper extends BaseMapper<User> {


    List<User> getalle();
    List<Organize> getUserOrganizeByUserID(Long userID);

    List<Role> getUserRoleByUserID(@Param("userID") Long userID, @Param("organizeId")String organizeId);
}

